<template lang="html">
  <form class="m-form m-form--label-align-left- m-form--state-" id="m_form">
    <div class="m-widget12">
       <div class="row">
        <div class="col-md-4"><b class="head">{{$t('purchase.end_item')}}</b>
          <br><br>
          <span>{{s_fields.end_item.end_item.end_item_name_dr}}</span>
        </div>
        <div class="col-md-4"><b class="head">{{$t('purchase.end_item_detail')}}</b><br><br><span>{{s_fields.end_item.end_item_details_dr}}</span></div>
        <div class="col-md-4"><b class="head">{{$t('purchase.vendor')}}</b><br><br><span>{{s_fields.end_item.vendor.name_dr}}</span></div>
      </div>
      <div class="m-form__heading mt-4">
        <h3 class="m-form__heading-title t-color">{{$t('purchase.purchase_detail')}}</h3>
      </div>
      <div class="row">
        <div class="col-md-4"><b class="head">{{$t('purchase.order_number')}}</b><br><br><span>{{s_fields.order_number}}</span></div>
        <div class="col-md-4"><b class="head">{{$t('purchase.date')}}</b><br><br><span>{{s_fields.order_date}}</span></div>
        <div class="col-md-4"><b class="head">{{$t('purchase.count')}}</b><br><br><span>{{s_fields.number_of_item}}</span></div>
      </div>
      <div class="row mt-4">
        <div class="col-md-4"><b class="head">{{$t('purchase.unit')}}</b><br><br><span>{{s_fields.unit.name_dr}}</span></div>
        <div class="col-md-4"><b class="head">{{$t('purchase.unit_price')}}</b><br><br><span>{{s_fields.unit_price}}</span></div>
        <div class="col-md-4"><b class="head">{{$t('purchase.total_price')}}</b><br><br><span>{{s_fields.unit_price * s_fields.number_of_item}}</span></div>
      </div>
      <div class="row mt-4">
        <div class="col-md-12"><b class="head">{{$t('global.remark')}}</b><br><br><span>{{s_fields.remarks.remark}}</span></div>
      </div>
    </div>
    <div class="m-demo__preview  m-demo__preview--btn m--align-right mt-5">
  		<button type="button" class="btn m-btn--square  btn-primary">{{$t('global.confirm')}}</button>
  		<button type="button" class="btn m-btn--square  btn-danger" data-toggle="modal" data-target="#m_modal_1">{{$t('global.reject')}}</button>
      <router-link to="/items/purchase" class="btn btn-secondary">{{$t('global.cancel')}}</router-link>
  	</div>
    <!--begin::Modal-->
    <div class="modal fade" id="m_modal_1" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h4 class="modal-title" id="exampleModalLabel">{{$t('purchase.reject_title')}}</h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <div class="form-group m-form__group">
							<label for="exampleTextarea">{{$t('purchase.reject_reason')}}</label>
							<textarea class="form-control m-input" rows="5" ></textarea>
						</div>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">{{$t('global.cancel')}}</button>
            <button type="button" class="btn btn-primary">{{$t('global.save')}}</button>
          </div>
        </div>
      </div>
    </div>
    <!--  End of the Modal -->
  </form>
</template>

<script>
import SubmitForm from '../../router/SubmitForm.js';
export default {
  mixins: [SubmitForm],
  data(){
      return {
          'url': 'api/purchase',
          s_fields: {
            end_item: {
              end_item:{},
              vendor:{}
            },
            unit:'',
            remarks:''
          },
      }
  },
  mounted()
  {
    this.getDataForEdit();
  }
}
</script>
